ProyectoCrm/src/app/Modulos/CotizacionModulo/Paginas/fw-cotizaciones/Componentes/fw-cotizaciones-otras-monedas/fw-cotizaciones-otras-monedas.component.pug
- var CabeceraListado = ["", "", "Moneda", "Descripción"]
div.form-row
  div.form-group.col-12
    div.table-responsive
      table.table.table-sm
        thead
          tr
            each Cabecera in CabeceraListado || []
              th(scope="col")
                  h6.text-nowrap
                    small.font-weight-bold= Cabecera
        tbody
          tr(*ngFor="let tMonedaFor of tOtrasMonedas | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
            th
              div.custom-control.custom-radio
                input(type="radio",
                      id="rb{{ tMonedaFor.Id }}",
                      name="rbOtraMoneda",
                      (change)="Seleccionar(tMonedaFor)").custom-control-input
                label(for="rb{{ tMonedaFor.Id }}").custom-control-label
            td
              h6 {{ tMonedaFor.Simbolo }}
            td
              h6 {{ tMonedaFor.Codmoneda }}
            td
              h6.text-nowrap {{ tMonedaFor.Descripcion }}
div.row
  div.col-12
    ngb-pagination([collectionSize]="tOtrasMonedas.length",
                [(page)]="tPagina",
                aria-label="Default pagination",
                [pageSize]="tTamanoPag").d-flex.justify-content-center

ProyectoCrm/src/app/Modulos/CotizacionModulo/Paginas/fw-cotizaciones/Componentes/fw-cotizaciones-otras-monedas/fw-cotizaciones-otras-monedas.component.html

<div class="form-row">
  <div class="form-group col-12">
    <div class="table-responsive">
      <table class="table table-sm">
        <thead>
          <tr>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold"></small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold"></small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Moneda</small></h6>
            </th>
            <th scope="col">
              <h6 class="text-nowrap"><small class="font-weight-bold">Descripción</small></h6>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let tMonedaFor of tOtrasMonedas | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index">
            <th>
              <div class="custom-control custom-radio">
                <input class="custom-control-input" type="radio" id="rb{{ tMonedaFor.Id }}" name="rbOtraMoneda" (change)="Seleccionar(tMonedaFor)"/>
                <label class="custom-control-label" for="rb{{ tMonedaFor.Id }}"></label>
              </div>
            </th>
            <td>
              <h6>{{ tMonedaFor.Simbolo }}</h6>
            </td>
            <td>
              <h6>{{ tMonedaFor.Codmoneda }}</h6>
            </td>
            <td>
              <h6 class="text-nowrap">{{ tMonedaFor.Descripcion }}</h6>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tOtrasMonedas.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
  </div>
</div>
